@import url("fonts.css");
html {
    font-size: 1.3vw;
    line-height: 1.6;
    box-sizing: border-box
}
@media screen and (max-width: 900px) {
    html { font-size: 2.2vw }
}
@media screen and (max-width: 600px) {
    html { font-size: 4vw }
}
@media screen and (max-width: 400px) {
    html { font-size: 5.5vw }
}
* {
    padding: 0;
    margin: 0;
    box-sizing: inherit;
    transition: all 0.25s ease
}
body {
    color: #ccc;
    background: #000;
    font-family: hkgrot-reg, sans-serif
}
h1, h2, h3, h4 {
    color: #fff;
    font-weight: 400;
    font-family: rub-med;
    margin-bottom: 1.3rem
}
h1 { font-size: 2rem }
h2 { font-size: 1.7rem }
h3 { font-size: 1.4rem }
h4 { font-size: 1.24rem }
p, blockquote, ul, ol, dl, div, header, section, aside {
    margin-bottom: 1rem;
    display: block
}
blockquote, ul, ol, dl {
    margin-left: 1.5rem
}
blockquote {
    font-style: italic;
    padding-left: 1rem;
    border-left: 0.1rem solid #888;
    margin-right: 1.5rem
}
strong, b {
    font-weight: 400;
    font-family: hkgrot-bld
}
i, em {
    font-family: hkgrot-itl
}
ul ul, ol ol, ul ol, ol ul {
    margin-bottom: 0
}
a {
    color: #3cb;
    text-decoration: none
}
a:link {
    border-bottom: 0.05rem solid #3cb
}
a:hover {
    color: #ca3;
    border-color: #ca3
}

#skip {
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    z-index: 300
}


#navigation {
    position: fixed;
    top: 0;
    right: 0;
    text-align: right;
    z-index: 500
}
label[for="nav-select"] {
    font-size: 0 !important;
    margin: 0.25rem 0.5rem 0.5rem 0;
    display: inline-block
}
#nav-select {
    position:absolute;
    top:-9999px;
    left:-9999px;
    width:1px;
    height:1px;
    display:block;
    overflow:hidden;
    z-index:-9999;
}
#nav-items {
    position: relative;
    right: -120%;
    background: #151515;
    padding: 0.35rem 0.5rem;
    margin: 0 0.5rem 0 0
}
#nav-items li {
    list-style-type: none
}
#nav-items li a {
    color: #bbb;
    font-weight: 600;
    border: 0
}
#nav-items li a:hover {
    color: #fff
}
#nav-select:checked ~ #nav-items {
    right: 0%
}


header, footer {
    display: block
}

header {
    position: relative;
    width: 100vw;
    min-height: 100vh;
    background-image: url("../i/header_bg.png");
    background-position: 0 0;
    background-attachment: fixed;
    background-size: contain;
    background-color: #fff
}
header.half-height {
    min-height: 50vh;
}

#cHolder {
    width: 100%;
    height: 100%;
}
#c1 {
    position: absolute;
    top: 0; left: 0;
    margin: 0 auto;
    display: block;
    z-index: 200
}
#reveal {
    position: absolute;
    bottom: -1.9rem; right: 1.5%;
    color: #999;
    background: #123;
    font-size: 0.88rem;
    font-family: mono, monospace;
    font-weight: 600;
    line-height: 2rem;
    padding: 0 0.6rem;
    border: 1px solid #000;
    border-radius: 0.2rem;
    display: inline-block;
    opacity: 0;
    transition: .8s all ease-in;
    z-index: 400
}
#header:hover #reveal {
    opacity: 0.45
}
#header:hover #reveal:hover {
    color: #3cb;
    opacity: 1;
    cursor: pointer
}
#headerbox {
    position: absolute;
    right: 0; top: 0;
    width: 60%;
    height: 100%;
    background: #000;
    color: #bbb;
    padding-left: 18%;
    vertical-align: middle;
    display: flex;
    flex-direction: column;
    justify-content: center;
    clip-path: polygon(0% 0%, 15% 50%, 0% 100%, 100% 100%, 100% 0%, 0% 0%);
    opacity: 0.7;
    z-index: 300
}
#header.slide-right #headerbox {
    right: -110%
}
#header.slide-right #reveal {
    bottom: 120%
}
#header.slide-right #cHolder {
    cursor: pointer
}

@keyframes innerText {
    0% {
        border-color: #000;
        left: 0%;
        width: 100%
    }
    10% {
        border-color: #aaa;
        left: 10%;
        width: 90%
    }
    70% {
        border-color: #aaa;
        left: 70%;
        width: 30%
    }
    90% {
        border-color: #000;
        left: 90%;
        width: 10%
    }
    100% {
        border-color: #000;
        left: 100%;
        width: 0%
    }
}

#headertextouter {
    position: relative;
    min-height: 5.92rem;
    border-left: 2px solid #000;
    padding: 0 0.3rem;
    display: inline-block;
    overflow: hidden
}
#headertextmask {
    position: absolute;
    top: 0; left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    display: block;
    border-left: 2px solid #000;
    animation-name: innerText;
    animation-duration: 3s;
    animation-delay: 2s;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
    transition: none
}
header h1 {
    letter-spacing: 0.23rem;
}
header h1, header h2 {
    margin-bottom: 0
}
header span {
    font-family: rub-lite;
    color: #888
}
#hold {
    width: 97%;
    margin: 0 auto;
    overflow: hidden
}

#copyright {
    color: #666;
    font-size: 0.88rem;
    text-align: center;
    line-height: 5rem
}
@media screen and (max-width: 640px) {
    #copyright {
        font-size: 0.46rem
    }
}

/* -- CLASSES -- */
.icon {
    width: 2.25rem;
    height: 2.25rem;
    background-color: #151515;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 1.25rem 1.25rem;
    border: 0 solid;
    border-radius: 50%;
    opacity: 0.5;
    cursor: pointer
}
.icon:hover, .icon:focus {
    opacity: 1
}
.burger {
    background-image: url(../i/icon_burger_96x96.png)
}
.two-columns {
    margin: 2rem auto;
    display: grid;
    grid-template-columns: 74% 24%;
    grid-gap: 1.46rem
}


.brk {
    width: 100%;
    height: 1px;
    margin: 1rem auto;
    clear: both;
    display: block
}
.brk.line {
    background: #777
}
.smaller-text {
    font-size: 88%
}
.small-text {
    font-size: 75%
}
.button {
    min-width: 6rem;
    height: 2.2rem;
    color: #fff;
    background-color: #095;
    font-size: 1rem;
    font-weight: 600;
    line-height: 2rem;
    text-align: center;
    padding: 0 1rem;
    border: 0.1rem solid #030;
    display: inline-block;
    cursor: pointer
}
.button:hover {
    background-color: #059;
    border-color: #059
}
.pad-above {
    padding-top: 1.5rem
}
.fimg {
    position: relative;
    top: 0.5rem;
    width: 30%;
    max-width: 420px;
    height: auto;
    margin: 0 1rem 1.5rem 0;
    display: inline-block;
    float: left
}
.fimg.frame {
    background-color: #fff;
    padding:0 0.24rem;
    border: 0.75rem solid #e8ecef
}
.fimg.right {
    width: 90%;
    margin: 0 auto
}
a.imglink, a.imglink:hover {
    border: 0
}
@media screen and (max-width: 960px) {
    .fimg {
        width: 92%;
        margin: 1.5rem auto;
        display: block;
        float: none
    }
}
@media screen and (max-width: 640px) {
    header {
        background-attachment: scroll;
    }
    #reveal {
        display: none
    }
    header.half-height {
        min-height: 100vh;
    }
    #headerbox {
        width: 100%;
        padding-left: 0;
        text-align: center;
        clip-path: polygon(0% 30%, 50% 15%, 100% 30%, 100% 70%, 50% 85%, 0% 70%, 0% 30%)
    }
    .two-columns {
        display: block
    }
    .no-mob {
        display: none
    }
    .small-text, .smaller-text {
        font-size: 1rem
    }
}
